<!-- FlexExtractor config file to generate the DIP publications file in HTML format -->
<flexextractor version="1.0" description="Config file to generate HTML DIP publications">
	<input type="XML_XPATH" combine="true">
		<source name="application" parameter="/dip/application">
			<data name="projectName" select="./projectName/text()"/>
			<data name="applicationName" select="./applicationName/text()"/>
			<data name="plcName" select="./plcName/text()"/>
                        <data name="publicationCounts" select="./publicationCounts/text()"/>
		</source>
		<source name="dipConfigs" parameter="/dip/dipConfigs/dipConfig">
			<data name="configName" select="./@configName"/>
			<data name="devicePrefix" select="./devicePrefix/text()"/>
			<data name="systemName" select="./systemName/text()"/>
			<data name="publisher" select="./publisher/text()"/>
			<data name="timeout" select="./timeout/text()"/>
			<data name="publicationPrefix" select="./publicationPrefix/text()" default=""/>
			<data name="managerNumber" select="./managerNumber/text()" default="default"/>
			<data name="managerNumberValue" default="{managerNumber}" replace="%compute(len({managerNumber})=0)%:default"/>
		</source>
		<source name="dipPublications" parameter="/dip/dipPublications/dipPublication">
			<data name="alias" select="./alias/text()"/>
			<data name="deviceType" select="./deviceType/text()"/>
			<data name="dipConfig" select="./dipConfig/text()"/>
			<data name="publicationName" select="./publicationName/text()"/>
			<data name="element" select="./element/text()"/>
			<data name="tag" select="./tag/text()"/>
			<data name="buffer" select="./buffer/text()"/>
			<data name="instanceNumber" select="./instanceNumber/text()"/>
			<data name="type" select="./type/text()"/>
			<data name="tagCounts" select="count(../*/tag)"/>
		</source>
	</input>
	<output>
		<section condition="{dipConfigs.configName} == {dipPublications.dipConfig}" head="&lt;tr class=&quot;tableHeader&quot;&gt;
							&lt;td&gt;DIP Config:&lt;/td&gt;
							&lt;td colspan=&quot;7&quot;&gt;{dipConfigs.configName}&lt;/td&gt;
						
						&lt;tr class=&quot;managerNumber&quot;&gt;
							&lt;td&gt;Number of publications:&lt;/td&gt;
							&lt;td colspan=&quot;7&quot;&gt;{application.publicationCounts}&lt;/td&gt;
						
						&lt;tr class=&quot;dipItem&quot;&gt;
							&lt;td&gt;Nunber of tags:&lt;/td&gt;
							&lt;td colspan=&quot;7&quot;&gt;{dipPublications.tagCounts}&lt;/td&gt;
						
						&lt;tr class=&quot;managerNumber&quot;&gt;
							&lt;td&gt;Manager number: &lt;/td&gt;
							&lt;td colspan=&quot;7&quot;>{dipConfigs.managerNumberValue}&lt;/td&gt;
						&lt;/tr&gt;
							">
			<section head="
						&lt;tr class=&quot;dipItem&quot;&gt;
							&lt;td&gt;DIP Item: &lt;/td&gt;
							&lt;td colspan=&quot;7&quot;>{dipConfigs.publicationPrefix}{dipPublications.publicationName}&lt;/td&gt;
						&lt;/tr&gt;

						&lt;tr class=&quot;publicationHeader&quot;&gt;
							&lt;td colspan=&quot;3&quot; &gt;Alias&lt;/td&gt;
							&lt;td &gt;Device Type&lt;/td&gt;
							&lt;td &gt;Element&lt;/td&gt;
							&lt;td width=&quot;235&quot;>DIP Tag&lt;/td&gt;
							&lt;td width=&quot;56&quot;>Type&lt;/td&gt;
							&lt;td width=&quot;59&quot; align=&quot;center&quot;>Buffer&lt;/td&gt;
						&lt;/tr&gt;" generate="
						&lt;tr class=&quot;publicationTable&quot;&gt;
							&lt;td colspan=&quot;3&quot;  &gt;{dipPublications.alias}&lt;/td&gt;
							&lt;td&gt;{dipPublications.deviceType}&lt;/td&gt;
							&lt;td&gt;{dipPublications.element}&lt;/td&gt;
							&lt;td&gt;{dipPublications.tag}&lt;/td&gt;
							&lt;td&gt;{dipPublications.type}&lt;/td&gt;
							&lt;td align=&quot;center&quot;&gt;{dipPublications.buffer}&lt;/td&gt;
						&lt;/tr&gt;
				"/>
		</section>
	</output>
</flexextractor>
